
Ryzom - Bug # 867

Status: Closed Priority: Normal
Author: kvogel Category: Services: General
Created: 05/10/2010 Assignee: vl
Updated: 05/28/2010 Due date:
Subject: typo in pvp_manager_2.cpp setFactionWar bounds check
Description

Cut and paste error in the faction2 check:

diff -r f6f6d3093bea code/ryzom/server/src/entities_game_service/pvp_manager/pvp_manager_2.cpp
--- a/code/ryzom/server/src/entities_game_service/pvp_manager/pvp_manager_2.cpp Sun May 09 08:11:26 2010 +0200
+++ b/code/ryzom/server/src/entities_game_service/pvp_manager/pvp_manager_2.cpp Mon May 10 12:18:07 2010 +0200
@@ -1272,7 +1272,7 @@
                return false;
        }

-       if( faction1 < PVP_CLAN::BeginClans || faction1 > PVP_CLAN::EndClans )
+       if( faction2 < PVP_CLAN::BeginClans || faction2 > PVP_CLAN::EndClans )
        {
                log.displayNL("Invalid Faction2 name: '%s'", args[1].c_str());
                return false;

attached as a hg diff.

History
#1 - 05/10/2010 04:46 pm - vl
- Category set to Services: General
- Status changed from New to Assigned
- Assignee set to vl
- Target version set to Version 0.8.0

#2 - 05/10/2010 05:41 pm - vl
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r62.

#3 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

Files
patch.txt 603 Bytes 05/10/2010 kvogel
